Body
Update Mobile Number
The API can be used to update the mobile number passed in create/authenticate API.
Request
Response
API Endpoints
Production Link
POST
https://api.juspay.in/wallets/:walletId
Authorization Header
Basic Auth
*
Base64 Encoded Username:Password
Mandatory
Consists of two parts.
Username: API Key obtained from Juspay dashboard
Password: Empty string
Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
Headers
version
string
version should be >=2019-09-17
Content-Type
string
Should be application/x-www-form-urlencoded
x-merchantid
String
Recommended
Unique identifier for the merchant. This is the Merchant ID provided by Juspay. The value is case sensitive.
Note
Passing this value will help us route efficiently at network level.
Example:- x-merchantid: testaccount
Path Params
wallet_id
*
String
Mandatory
Wallet Id of the wallet
Parameters
command
*
string
Required
The command should be update, for updating the mobile number
mobile_number
*
string
Required
The new/updated mobile number
200 : Success
Response Body
id
string
wlt_yvuidaupkvz3
object
string
wallet_account
wallet
string
PAYTM
token
null
current_balance
null
linked
boolean
last_refreshed
null
metadata
object
mobile_number
string
7777777777
gateway_reference_id
String

